Hi,

[root@ns1 ~]# uname -rs
OpenBSD 4.0
[root@ns1 ~]#

When I run sa-update I get the error below:

[root@ns1 ~]# sa-update --nogpg
can't resolve "localhost" to address at
/usr/local/libdata/perl5/site_perl/i386-openbsd/Net/DNS/Resolver/Base.pm
line 751.
[root@ns1 ~]#

Could anyone please tell me what's wrong?

[root@ns1 ~]# sa-update -V
sa-update version svn454083
running on Perl version 5.8.8
[root@ns1 ~]# spamassassin -V
SpamAssassin version 3.1.7
running on Perl version 5.8.8
[root@ns1 ~]#

[root@ns1 ~]# sa-update --nogpg -D
[28203] dbg: logger: adding facilities: all
[28203] dbg: logger: logging level is DBG
[28203] dbg: generic: SpamAssassin version 3.1.7
[28203] dbg: config: score set 0 chosen.
[28203] dbg: message: ---- MIME PARSER START ----
[28203] dbg: message: main message type: text/plain
[28203] dbg: message: parsing normal part
[28203] dbg: message: added part, type: text/plain
[28203] dbg: message: ---- MIME PARSER END ----
[28203] dbg: dns: is Net:NS::Resolver available? yes
[28203] dbg: dns: Net:NS version: 0.59
[28203] dbg: generic: sa-update version svn454083
[28203] dbg: generic: using update directory: /var/lib/spamassassin/3.001007
[28203] dbg: diag: perl platform: 5.008008 openbsd
[28203] dbg: diag: module installed: Digest::SHA1, version 2.11
[28203] dbg: diag: module installed: MIME::Base64, version 3.07
[28203] dbg: diag: module installed: HTML::Parser, version 3.55
[28203] dbg: diag: module installed: DB_File, version 1.814
[28203] dbg: diag: module installed: Net:NS, version 0.59
[28203] dbg: diag: module installed: Net::SMTP, version 2.31
[28203] dbg: diag: module installed: Mail::SPF::Query, version 1.999001
[28203] dbg: diag: module installed: IP::Country::Fast, version 604.001
[28203] dbg: diag: module installed: Razor2::Client::Agent, version 2.67
[28203] dbg: diag: module not installed: Net::Ident ('require' failed)
[28203] dbg: diag: module installed: IO::Socket::INET6, version 2.51
[28203] dbg: diag: module not installed: IO::Socket::SSL ('require' failed)
[28203] dbg: diag: module installed: Time::HiRes, version 1.86
[28203] dbg: diag: module not installed: DBI ('require' failed)
[28203] dbg: diag: module installed: Getopt::Long, version 2.35
[28203] dbg: diag: module installed: LWP::UserAgent, version 2.033
[28203] dbg: diag: module installed: HTTP:ate, version 1.47
[28203] dbg: diag: module installed: Archive::Tar, version 1.32
[28203] dbg: diag: module installed: IO::Zlib, version 1.04
[28203] dbg: channel: attempting channel updates.spamassassin.org
[28203] dbg: channel: update directory
/var/lib/spamassassin/3.001007/updates_spamassassin_org
[28203] dbg: channel: channel cf file
/var/lib/spamassassin/3.001007/updates_spamassassin_org.cf
[28203] dbg: channel: channel pre file
/var/lib/spamassassin/3.001007/updates_spamassassin_org.pre
can't resolve "localhost" to address at
/usr/local/libdata/perl5/site_perl/i386-openbsd/Net/DNS/Resolver/Base.pm
line 751.
[root@ns1 ~]#

Thanks, Helmut